Wolfenstein Enemy Territory brak dzwięku

Gry, które działają natywnie na Linuksie.
jacu1234567890
Piegowaty Guziec
Piegowaty Guziec
Posty: 14
Rejestracja: 12 lut 2012, 13:20
Płeć: Mężczyzna
Wersja Ubuntu: 11.04
Architektura: x86_64

Wolfenstein Enemy Territory brak dzwięku

Post autor: jacu1234567890 » 30 mar 2015, 18:21

Witam.
Instalowałem Wolfensteina według tego poradnika http://wolfet.pl/forum/topic7443.html Wszystko ładnie poszło jednak nie mam dźwięku. Próba wykonania komendy

Kod: Zaznacz cały

sudo apt-get install libsdl1.2debian-alsa
kończy się taki komunikatem

Kod: Zaznacz cały

Czytanie list pakietów... Gotowe
Budowanie drzewa zależności       
Odczyt informacji o stanie... Gotowe
Pakiet libsdl1.2debian-alsa nie ma dostępnej wersji, ale odnosi się do niego inny pakiet.
Zazwyczaj oznacza to, że pakietu brakuje, został zastąpiony przez inny
pakiet lub nie jest dostępny przy pomocy obecnie ustawionych źródeł.
Jednak następujące pakiety go zastępują:
  libsdl1.2debian libsdl1.2debian:i386

E: Pakiet libsdl1.2debian-alsa nie ma kandydata do instalacji
Proszę o pomoc. Z góry dziękuję. Dodam iż jestem "zielony" w Ubuntu ogólnie w Linuxie. System to Ubuntu 14.04 64-bit.
Pozdrawiam.
Awatar użytkownika
sir_lucjan
Serdeczny Borsuk
Serdeczny Borsuk
Posty: 207
Rejestracja: 24 wrz 2009, 11:25
Płeć: Mężczyzna
Wersja Ubuntu: inny OS
Środowisko graficzne: Inne
Architektura: x86_64
Kontakt:

Re: Wolfenstein Enemy Territory brak dzwięku

Post autor: sir_lucjan » 30 mar 2015, 18:23

Spróbuj:

Kod: Zaznacz cały

sudo apt-get install libsdl1.2debian libsdl1.2debian:i386
Dell Inspiron 15-3542 (3542-2538) || Linux Register User: #536661
Inny OS = Arch Linux
Inne środowisko = Plasma 5
jacu1234567890
Piegowaty Guziec
Piegowaty Guziec
Posty: 14
Rejestracja: 12 lut 2012, 13:20
Płeć: Mężczyzna
Wersja Ubuntu: 11.04
Architektura: x86_64

Re: Wolfenstein Enemy Territory brak dzwięku

Post autor: jacu1234567890 » 30 mar 2015, 18:38

Po wpisaniu komendy

Kod: Zaznacz cały

Czytanie list pakietów... Gotowe
Budowanie drzewa zależności       
Odczyt informacji o stanie... Gotowe
libsdl1.2debian jest już w najnowszej wersji.
Nie udało się zainstalować niektórych pakietów. Może to oznaczać,
że zażądano niemożliwej sytuacji lub użyto dystrybucji niestabilnej,
w której niektóre pakiety nie zostały jeszcze utworzone lub przeniesione
z katalogu Incoming ("Przychodzące").
Następujące informacje mogą pomóc rozwiązać sytuację:

Następujące pakiety mają niespełnione zależności:
 libsdl1.2debian : Narusza zależności: libsdl1.2debian:i386 (!= 1.2.15-8ubuntu1.1) ale 1.2.15-8ubuntu1 ma zostać zainstalowany
 libsdl1.2debian:i386 : Narusza zależności: libsdl1.2debian (!= 1.2.15-8ubuntu1) ale 1.2.15-8ubuntu1.1 ma zostać zainstalowany
E: Nie udało się naprawić problemów, zatrzymano uszkodzone pakiety.
Dodam jeszcze że jest to Ubuntu z strony Ubuntu.pl
Awatar użytkownika
sir_lucjan
Serdeczny Borsuk
Serdeczny Borsuk
Posty: 207
Rejestracja: 24 wrz 2009, 11:25
Płeć: Mężczyzna
Wersja Ubuntu: inny OS
Środowisko graficzne: Inne
Architektura: x86_64
Kontakt:

Re: Wolfenstein Enemy Territory brak dzwięku

Post autor: sir_lucjan » 30 mar 2015, 18:41

1.

Kod: Zaznacz cały

sudo dpkg --add-architecture i386
2.

Kod: Zaznacz cały

sudo apt-get update
3.

Kod: Zaznacz cały

sudo apt-get upgrade
4.

Kod: Zaznacz cały

sudo apt-get install libsdl1.2debian libsdl1.2debian:i386
Dell Inspiron 15-3542 (3542-2538) || Linux Register User: #536661
Inny OS = Arch Linux
Inne środowisko = Plasma 5
jacu1234567890
Piegowaty Guziec
Piegowaty Guziec
Posty: 14
Rejestracja: 12 lut 2012, 13:20
Płeć: Mężczyzna
Wersja Ubuntu: 11.04
Architektura: x86_64

Re: Wolfenstein Enemy Territory brak dzwięku

Post autor: jacu1234567890 » 30 mar 2015, 18:50

Po wykonaniu

Kod: Zaznacz cały

sudo apt-get install libsdl1.2debian libsdl1.2debian:i386
wyszło takie coś

Kod: Zaznacz cały

Czytanie list pakietów... Gotowe
Budowanie drzewa zależności       
Odczyt informacji o stanie... Gotowe
libsdl1.2debian jest już w najnowszej wersji.
Następujące pakiety zostały zainstalowane automatycznie i nie są już więcej wymagane:
  libenet2a libgloox11 libmozjs185-1.0
Aby je usunąć należy użyć "apt-get autoremove".
Zostaną zainstalowane następujące dodatkowe pakiety:
  libcaca0:i386 libgpm2:i386 libncursesw5:i386 libslang2:i386
Sugerowane pakiety:
  gpm:i386
Zostaną zainstalowane następujące NOWE pakiety:
  libcaca0:i386 libgpm2:i386 libncursesw5:i386 libsdl1.2debian:i386
  libslang2:i386
0 aktualizowanych, 5 nowo instalowanych, 0 usuwanych i 0 nieaktualizowanych.
Konieczne pobranie 966 kB archiwów.
Po tej operacji zostanie dodatkowo użyte 3315 kB miejsca na dysku.
Kontynuować? [T/n] t
Pobieranie:1 http://ftp.wcss.pl/ubuntu/ trusty/main libncursesw5 i386 5.9+20140118-1ubuntu1 [122 kB]
Pobieranie:2 http://ftp.wcss.pl/ubuntu/ trusty/main libslang2 i386 2.2.4-15ubuntu1 [460 kB]
Pobieranie:3 http://ftp.wcss.pl/ubuntu/ trusty/main libcaca0 i386 0.99.beta18-1ubuntu5 [202 kB]
Pobieranie:4 http://ftp.wcss.pl/ubuntu/ trusty/main libgpm2 i386 1.20.4-6.1 [16,0 kB]
Pobieranie:5 http://ftp.wcss.pl/ubuntu/ trusty-updates/main libsdl1.2debian i386 1.2.15-8ubuntu1.1 [166 kB]
Pobrano 966 kB w 4s (208 kB/s)                
Wybieranie wcześniej niewybranego pakietu libncursesw5:i386.
(Odczytywanie bazy danych ... 412212 plików i katalogów obecnie zainstalowanych.)
Preparing to unpack .../libncursesw5_5.9+20140118-1ubuntu1_i386.deb ...
Unpacking libncursesw5:i386 (5.9+20140118-1ubuntu1) ...
Wybieranie wcześniej niewybranego pakietu libslang2:i386.
Preparing to unpack .../libslang2_2.2.4-15ubuntu1_i386.deb ...
Unpacking libslang2:i386 (2.2.4-15ubuntu1) ...
Wybieranie wcześniej niewybranego pakietu libcaca0:i386.
Preparing to unpack .../libcaca0_0.99.beta18-1ubuntu5_i386.deb ...
Unpacking libcaca0:i386 (0.99.beta18-1ubuntu5) ...
Wybieranie wcześniej niewybranego pakietu libgpm2:i386.
Preparing to unpack .../libgpm2_1.20.4-6.1_i386.deb ...
Unpacking libgpm2:i386 (1.20.4-6.1) ...
Wybieranie wcześniej niewybranego pakietu libsdl1.2debian:i386.
Preparing to unpack .../libsdl1.2debian_1.2.15-8ubuntu1.1_i386.deb ...
Unpacking libsdl1.2debian:i386 (1.2.15-8ubuntu1.1) ...
Konfigurowanie pakietu libncursesw5:i386 (5.9+20140118-1ubuntu1) ...
Konfigurowanie pakietu libslang2:i386 (2.2.4-15ubuntu1) ...
Konfigurowanie pakietu libcaca0:i386 (0.99.beta18-1ubuntu5) ...
Konfigurowanie pakietu libgpm2:i386 (1.20.4-6.1) ...
Konfigurowanie pakietu libsdl1.2debian:i386 (1.2.15-8ubuntu1.1) ...
Processing triggers for libc-bin (2.19-0ubuntu6.6) ...
Czyli pakiey potrzebne mam pobrane? Co dalej według poradnika?
Awatar użytkownika
sir_lucjan
Serdeczny Borsuk
Serdeczny Borsuk
Posty: 207
Rejestracja: 24 wrz 2009, 11:25
Płeć: Mężczyzna
Wersja Ubuntu: inny OS
Środowisko graficzne: Inne
Architektura: x86_64
Kontakt:

Re: Wolfenstein Enemy Territory brak dzwięku

Post autor: sir_lucjan » 30 mar 2015, 18:54

Wygląda na to, że pobrało to, co chciałeś.
Dell Inspiron 15-3542 (3542-2538) || Linux Register User: #536661
Inny OS = Arch Linux
Inne środowisko = Plasma 5
jacu1234567890
Piegowaty Guziec
Piegowaty Guziec
Posty: 14
Rejestracja: 12 lut 2012, 13:20
Płeć: Mężczyzna
Wersja Ubuntu: 11.04
Architektura: x86_64

Re: Wolfenstein Enemy Territory brak dzwięku

Post autor: jacu1234567890 » 30 mar 2015, 19:00

Robione dalej według poradnika, jednak gdy próbuję uruchomić grę wyskakuje coś takiego

Kod: Zaznacz cały

bash: /usr/bin/et: Brak dostępu
Awatar użytkownika
sir_lucjan
Serdeczny Borsuk
Serdeczny Borsuk
Posty: 207
Rejestracja: 24 wrz 2009, 11:25
Płeć: Mężczyzna
Wersja Ubuntu: inny OS
Środowisko graficzne: Inne
Architektura: x86_64
Kontakt:

Re: Wolfenstein Enemy Territory brak dzwięku

Post autor: sir_lucjan » 30 mar 2015, 19:02

Pokaż:

Kod: Zaznacz cały

ls /usr/bin/et
Dell Inspiron 15-3542 (3542-2538) || Linux Register User: #536661
Inny OS = Arch Linux
Inne środowisko = Plasma 5
jacu1234567890
Piegowaty Guziec
Piegowaty Guziec
Posty: 14
Rejestracja: 12 lut 2012, 13:20
Płeć: Mężczyzna
Wersja Ubuntu: 11.04
Architektura: x86_64

Re: Wolfenstein Enemy Territory brak dzwięku

Post autor: jacu1234567890 » 30 mar 2015, 19:04

Takie coś

Kod: Zaznacz cały

ppp@ppp-Satellite-L300:~$ ls /usr/bin/et
/usr/bin/et
Awatar użytkownika
sir_lucjan
Serdeczny Borsuk
Serdeczny Borsuk
Posty: 207
Rejestracja: 24 wrz 2009, 11:25
Płeć: Mężczyzna
Wersja Ubuntu: inny OS
Środowisko graficzne: Inne
Architektura: x86_64
Kontakt:

Re: Wolfenstein Enemy Territory brak dzwięku

Post autor: sir_lucjan » 30 mar 2015, 19:07

Dziwne, bo powinno zawartość katalogu pokazać.
Dell Inspiron 15-3542 (3542-2538) || Linux Register User: #536661
Inny OS = Arch Linux
Inne środowisko = Plasma 5
jacu1234567890
Piegowaty Guziec
Piegowaty Guziec
Posty: 14
Rejestracja: 12 lut 2012, 13:20
Płeć: Mężczyzna
Wersja Ubuntu: 11.04
Architektura: x86_64

Re: Wolfenstein Enemy Territory brak dzwięku

Post autor: jacu1234567890 » 30 mar 2015, 19:13

Po wykonaniu

Kod: Zaznacz cały

sudo ln -s ~/et/et /usr/bin/et
wyskakuje

Kod: Zaznacz cały

ln: nie udało się utworzyć dowiązania symbolicznego „/usr/bin/et”: Plik istnieje
Może go usunąc jakoś?
Awatar użytkownika
sir_lucjan
Serdeczny Borsuk
Serdeczny Borsuk
Posty: 207
Rejestracja: 24 wrz 2009, 11:25
Płeć: Mężczyzna
Wersja Ubuntu: inny OS
Środowisko graficzne: Inne
Architektura: x86_64
Kontakt:

Re: Wolfenstein Enemy Territory brak dzwięku

Post autor: sir_lucjan » 30 mar 2015, 19:15

Kod: Zaznacz cały

sudo rm /usr/bin/et
Dell Inspiron 15-3542 (3542-2538) || Linux Register User: #536661
Inny OS = Arch Linux
Inne środowisko = Plasma 5
jacu1234567890
Piegowaty Guziec
Piegowaty Guziec
Posty: 14
Rejestracja: 12 lut 2012, 13:20
Płeć: Mężczyzna
Wersja Ubuntu: 11.04
Architektura: x86_64

Re: Wolfenstein Enemy Territory brak dzwięku

Post autor: jacu1234567890 » 30 mar 2015, 19:24

Znów to samo. Po wpisaniu takie coś

Kod: Zaznacz cały

bash: /usr/bin/et: Brak dostępu
Co jest źle?
Awatar użytkownika
sir_lucjan
Serdeczny Borsuk
Serdeczny Borsuk
Posty: 207
Rejestracja: 24 wrz 2009, 11:25
Płeć: Mężczyzna
Wersja Ubuntu: inny OS
Środowisko graficzne: Inne
Architektura: x86_64
Kontakt:

Re: Wolfenstein Enemy Territory brak dzwięku

Post autor: sir_lucjan » 30 mar 2015, 19:27

Spróbuj:

Kod: Zaznacz cały

sudo chmod a+x /usr/bin/et
Dell Inspiron 15-3542 (3542-2538) || Linux Register User: #536661
Inny OS = Arch Linux
Inne środowisko = Plasma 5
jacu1234567890
Piegowaty Guziec
Piegowaty Guziec
Posty: 14
Rejestracja: 12 lut 2012, 13:20
Płeć: Mężczyzna
Wersja Ubuntu: 11.04
Architektura: x86_64

Re: Wolfenstein Enemy Territory brak dzwięku

Post autor: jacu1234567890 » 30 mar 2015, 19:30

Po wpisaniu

Kod: Zaznacz cały

sudo chmod a+x /usr/bin/et
i później nic sie nie dzieje. Zero reakcji, gra się nie włącza.

-- 30 mar 2015, o 18:50 --

Instalowałem gre na nowo i po wykonaniu operacji z naprawą dźwięku i próbie uruchomienia wyskoczyło takie coś

Kod: Zaznacz cały

[et-sdl-sound] info   : et.x86 is installed to /home/ppp/et
find: `/usr/lib32/': Nie ma takiego pliku ani katalogu
[et-sdl-sound] error  : can't locate libSDL.so
[et-sdl-sound] info   : tried following files
[et-sdl-sound] info   : /usr/lib/libSDL.so
[et-sdl-sound] info   :    ERROR: cannot open `/usr/lib/libSDL.so' (No such file or directory)
[et-sdl-sound] info   : /usr/lib/libSDL-1.2.so.0
[et-sdl-sound] info   :    ERROR: cannot open `/usr/lib/libSDL-1.2.so.0' (No such file or directory)
[et-sdl-sound] info   : /usr/lib32/libSDL.so
[et-sdl-sound] info   :    ERROR: cannot open `/usr/lib32/libSDL.so' (No such file or directory)
[et-sdl-sound] info   : /usr/lib32/libSDL-1.2.so.0
[et-sdl-sound] info   :    ERROR: cannot open `/usr/lib32/libSDL-1.2.so.0' (No such file or directory)
[et-sdl-sound] info   : /usr/lib/x86_64-linux-gnu/libSDL-1.2.so.0
[et-sdl-sound] info   :    symbolic link to `libSDL-1.2.so.0.11.4' 
[et-sdl-sound] info   : /usr/lib/x86_64-linux-gnu/libSDL-1.2.so.0.11.4
[et-sdl-sound] info   :    ELF 64-bit LSB  shared object, x86-64, version 1 (SYSV), dynamically linked, BuildID[sha1]=b0ac9df13b8f3c5dcd7b5d9dabedadf8900be3d0, stripped
[et-sdl-sound] info   : /usr/lib/x86_64-linux-gnu/libSDL-1.2.so.0.11.4
[et-sdl-sound] info   :    ELF 64-bit LSB  shared object, x86-64, version 1 (SYSV), dynamically linked, BuildID[sha1]=b0ac9df13b8f3c5dcd7b5d9dabedadf8900be3d0, stripped
[et-sdl-sound] info   : /usr/lib/x86_64-linux-gnu/libSDL-1.2.so.0.11.4
[et-sdl-sound] info   :    ELF 64-bit LSB  shared object, x86-64, version 1 (SYSV), dynamically linked, BuildID[sha1]=b0ac9df13b8f3c5dcd7b5d9dabedadf8900be3d0, stripped
[et-sdl-sound] info   : /usr/lib/i386-linux-gnu/libSDL-1.2.so.0.11.4
[et-sdl-sound] info   :    ELF 32-bit LSB  shared object, Intel 80386, version 1 (SYSV), dynamically linked, BuildID[sha1]=4ce94cf7bbafb44af187aa3233ec1f30468f6fad, stripped
TrolleY
Serdeczny Borsuk
Serdeczny Borsuk
Posty: 160
Rejestracja: 06 cze 2013, 12:40
Wersja Ubuntu: inny OS
Środowisko graficzne: Inne
Architektura: x86_64

Re: Wolfenstein Enemy Territory brak dzwięku

Post autor: TrolleY » 30 mar 2015, 22:33

Linux Mint 17 + Cinnamon (x64) / Windows 7 (x64)
jacu1234567890
Piegowaty Guziec
Piegowaty Guziec
Posty: 14
Rejestracja: 12 lut 2012, 13:20
Płeć: Mężczyzna
Wersja Ubuntu: 11.04
Architektura: x86_64

Re: Wolfenstein Enemy Territory brak dzwięku

Post autor: jacu1234567890 » 02 kwie 2015, 21:52

Moje niedopatrzenie. Błąd jest opisany w poradniku. Problem rozwiązany. Jednak ciekawi mnie czemu nie mogłem zainstalować libsdl1.2debian-alsa ?
Awatar użytkownika
sir_lucjan
Serdeczny Borsuk
Serdeczny Borsuk
Posty: 207
Rejestracja: 24 wrz 2009, 11:25
Płeć: Mężczyzna
Wersja Ubuntu: inny OS
Środowisko graficzne: Inne
Architektura: x86_64
Kontakt:

Re: Wolfenstein Enemy Territory brak dzwięku

Post autor: sir_lucjan » 02 kwie 2015, 21:57

Bo tego pakietu zwyczajnie już nie ma i zastępują go inne.
Dell Inspiron 15-3542 (3542-2538) || Linux Register User: #536661
Inny OS = Arch Linux
Inne środowisko = Plasma 5
ODPOWIEDZ

Wróć do „Linuksowe”

Kto jest online

Użytkownicy przeglądający to forum: Obecnie na forum nie ma żadnego zarejestrowanego użytkownika i 66 gości